/***********************************************************************************************************************
  | file       : demo
  | version    : V1.0
  | date       : 2017-Apr-10
 
***********************************************************************************************************************/
#include "OLED_Driver.h"
#include "OLED_GUI.h"
#include "DEV_Config.h"
#include "Show_Lib.h"
#include "Debug.h"

extern OLED_DIS sOLED_DIS;
int powPin = 2;
int swPin = 4;
int state = 0;
int button = 0;
int shake = 0;
int count = 0;
void setup()
{
  pinMode(powPin, OUTPUT);  // declare LED as output
  pinMode(swPin, INPUT);    // declare pushbutton as input
  System_Init();
  digitalWrite(powPin , HIGH); //turns on the relay power
  randomSeed(analogRead(0));
  
  OLED_SCAN_DIR OLED_ScanDir = SCAN_DIR_DFT;
  OLED_Init( OLED_ScanDir );

  
  OLED_ClearBuf();
  OLED_ClearScreen(OLED_BACKGROUND); //blanks the screen


  GUI_DisString_EN(52, 2, "ASK", &Font12, FONT_BACKGROUND, WHITE);
  OLED_DisPage(0, 1);
  OLED_ClearBuf();

  GUI_DisString_EN(50, 2, "YOUR", &Font12, FONT_BACKGROUND, WHITE);
  OLED_DisPage(0, 2);
  OLED_ClearBuf();

  GUI_DisString_EN(38, 2, "QUESTION", &Font12, FONT_BACKGROUND, WHITE);
  OLED_DisPage(0, 3);
  OLED_ClearBuf();

  GUI_DisString_EN(50, 2, "THEN", &Font12, FONT_BACKGROUND, WHITE);
  OLED_DisPage(0, 4);
  OLED_ClearBuf();

  GUI_DisString_EN(48, 2, "INVERT", &Font12, FONT_BACKGROUND, WHITE);
  OLED_DisPage(0, 5);
  OLED_ClearBuf();

 while (digitalRead(swPin)==1)  
  {             // pauses in place with the switch HIGH
                delay(10);                        //  debounce
  }
   
    OLED_ClearScreen(OLED_BACKGROUND);
 
}

void loop()
{
   while (digitalRead(swPin)==1)
  {             // pauses in place with the switch HIGH
                delay(10);                        //  debounce
  }
   
    OLED_ClearScreen(OLED_BACKGROUND);
               
   while (digitalRead(swPin)==0)
          {    
                delay(10);
                GUI_DisString_EN(37, 2, "THINKING...", &Font12, FONT_BACKGROUND, WHITE);
                OLED_DisPage(0, 3);
                OLED_ClearBuf();
                
                count +=1;
                  if (count >= 510){digitalWrite(powPin, LOW);} //shuts off power after about 16 seconds
                                    }

          digitalWrite(powPin, HIGH); //relay power on
          count=0;                    //counter reset
          int shake=random(19);
              
          delay(1000);
if (digitalRead(swPin)==1){
  
        OLED_ClearScreen(OLED_BACKGROUND); 
        
        
   switch (shake) {
    case 0:    
        GUI_DisString_EN(52, 2, "IT IS", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(42, 2, "CERTAIN", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
      break;
    case 1:    
        GUI_DisString_EN(52, 2, "IT IS", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(36, 2, "DECIDEDLY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(58, 2, "SO", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 2:    
        GUI_DisString_EN(38, 2, "WITHOUT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(58, 2, "A", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(48, 2, "DOUBT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 3:    
        GUI_DisString_EN(54, 2, "YES", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(40, 2, "DEFINITELY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
      break;
    case 4:    
        GUI_DisString_EN(54, 2, "YOU", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(44, 2, "MAY RELY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(58, 2, "ON IT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 5:    
        GUI_DisString_EN(58, 2, "AS", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(46, 2, "I SEE IT,", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(56, 2, "YES", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 6:    
        GUI_DisString_EN(53, 2, "MOST", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(42, 2, "LIKELY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 7:    
        GUI_DisString_EN(44, 2, "OUTLOOK", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(54, 2, "GOOD", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 8:    
        GUI_DisString_EN(52, 2, "YES", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
       
      break;
    case 9:    
        GUI_DisString_EN(51, 2, "SIGNS", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(45, 2, "POINT TO", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(53, 2, "YES", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 10:    
        GUI_DisString_EN(32, 2, "REPLY HAZY,", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(34, 2, "TRY AGAIN", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
    case 11:    
        GUI_DisString_EN(54, 2, "ASK", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(52, 2, "AGAIN", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(52, 2, "LATER", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
     case 12:    
        GUI_DisString_EN(48, 2, "BETTER", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(30, 2, "NOT TELL YOU", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(54, 2, "NOW", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break; 
     case 13:    
        GUI_DisString_EN(48, 2, "CANNOT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(46, 2, "PREDICT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(56, 2, "NOW", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
     case 14:    
        GUI_DisString_EN(30, 2, "CONCENTRATE", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(50, 2, "AND ASK", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(40, 2, "AGAIN", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break; 
     case 15:    
        GUI_DisString_EN(50, 2, "DON'T", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(50, 2, "COUNT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(50, 2, "ON IT", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
     case 16:    
        GUI_DisString_EN(56, 2, "MY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(42, 2, "REPLY IS", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(56, 2, "NO", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break; 
     case 17:    
        GUI_DisString_EN(56, 2, "MY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(34, 2, "SOURCES", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(50, 2, "SAY NO", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;
     case 18:    
        GUI_DisString_EN(40, 2, "OUTLOOK", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 2);
        OLED_ClearBuf();
        GUI_DisString_EN(50, 2, "NOT SO", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(54, 2, "GOOD", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break; 
     case 19:    
        GUI_DisString_EN(53, 2, "VERY", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 3);
        OLED_ClearBuf();
        GUI_DisString_EN(34, 2, "DOUBTFUL", &Font12, FONT_BACKGROUND, WHITE);
        OLED_DisPage(0, 4);
        OLED_ClearBuf();
      break;  
     default:
        
      break;   
   }    
  } 
}
